Index Page tkvrsn_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       ConstSpiceChar  * tkvrsn_c ( ConstSpiceChar * item )

#### Abstract

       Given an item such as the Toolkit or an entry point name, return
       the latest version string.

#### Required_Reading

       None.

#### Keywords

       UTILITY

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       item       I   Item for which a version string is desired.

       The function returns a pointer to a version string.

#### Detailed_Input

       item       is the item for which a version string is to be
                  returned. item may be "TOOLKIT", entry point names,
                  or program names. item is case insensitive.

                  Currently, the only item supported is "toolkit"
                  and it will return the toolkit version number.

                  Any other item will return "No version found."

#### Detailed_Output

       The function returns a pointer to the latest version string for the
       specified item.

       If item is not one of the items haveing a version, a pointer to the
       string "No version found." will return.

#### Parameters

       None.

#### Exceptions

          Error Free.

       1) The routine returns "No version found." for any unknown item
          string.

#### Files

       None.

#### Particulars

       None.

#### Examples

       Suppose you want to find out the recent Toolkit configuration
       version number. Using the code fragment below:

          ConstSpiceChar  * versn;

          versn = tkvrsn_c ( "TOOLKIT" );

       The pointer versn would refer to a string similar to the one
       shown below (except that the version will be current):

          "CSPICE_N0035"

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman       (JPL)
       K.R. Gehringer     (JPL)
       H.A. Neilan        (JPL)

#### Version

       -CSPICE Version 2.3.0, 06-FEB-2002 (EDW) (NJB)

          Changed the return type from (SpiceChar *) to (ConstSpiceChar *).
          Corrected example code to show use of (ConstSpiceChar *) return
          type. Edited the header.

       -CSPICE Version 2.2.0, 03-SEP-1999 (NJB)

          Return type changed to (SpiceChar *).  Function now cleans
          out version string before writing to it.

       -CSPICE Version 2.1.0, 08-FEB-1998 (NJB)

          References to C2F_CreateStr_Sig were removed; code was
          cleaned up accordingly.  String checks are now done using
          the macro CHKFSTR_VAL.

       -CSPICE Version 2.0.0, 11-NOV-1997 (NJB)

          Updated to use the SPICELIB routine TKVRSN to obtain
          the version string for SPICELIB.  Updated header to remove
          outdated restrictions.  Changed example to reflect CSPICE
          version string.

       -CSPICE Version 1.0.0, 25-OCT-1997 (NJB)

          Based on SPICELIB Version 2.4.0, 31-JUL-1997 (WLT)

#### Index_Entries

       Return version strings

#### Link to routine tkvrsn_c source file tkvrsn_c.c

    Wed Apr  5 17:54:45 2017